Bug 227769 - [NEW PORT] graphics/gimp-devel: GIMP Development Version (2.10.0-RC2)
Summary: [NEW PORT] graphics/gimp-devel: GIMP Development Version (2.10.0-RC2)
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on: 229761
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-25 13:58 UTC by Julien Nadeau
Modified: 2018-09-30 12:20 UTC (History)
6 users (show)

See Also:


Attachments
GIMP 2.10.0-RC2 and required dependencies update (against SVN r468218) (319.00 KB, patch)
2018-04-25 13:58 UTC, Julien Nadeau
no flags Details | Diff
GIMP 2.10.0-RC2 and required dependencies update (against SVN r470829) (299.65 KB, patch)
2018-05-25 11:17 UTC, Julien Nadeau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nadeau 2018-04-25 13:58:48 UTC
Created attachment 192807 [details]
GIMP 2.10.0-RC2 and required dependencies update (against SVN r468218)

This patch introduces the GIMP development version (currently 2.10.0-RC2) as a
separate graphics/gimp-devel port.

Tested on 11.1-STABLE amd64. It does emit warnings about missing babl fast paths on my system, which I guess is a separate babl issue. I haven't seen a crash yet.

This adds separate graphics/libmypaint and graphics/mypaint-brushes ports for libmypaint 1.3.0 (conflicts with the graphics/mypaint application).

It also adds print/gimp-gutenprint-devel for the gimp-print plugin. graphics/py-gimp is moved to a PYTHON option in graphics/gimp-app-devel. It might be worth to consider adding a PRINT option to gimp-app, thus eliminating the needs for the gimp meta-port entirely.

The patch upgrades the following dependencies as well:

glib 2.50.3 -> 2.54.3
fontconfig 2.12.1 -> 2.13.0
babl 0.1.44 -> 0.1.46
gegl 0.2.0 -> 0.3.34
Comment 1 goffredo 2018-05-25 00:49:04 UTC
GIMP 2.10 was released.

I need it, and I can be a tester.
Comment 2 Julien Nadeau 2018-05-25 11:17:14 UTC
Created attachment 193684 [details]
GIMP 2.10.0-RC2 and required dependencies update (against SVN r470829)

x11/babl was updated recently so here is a revised patch against SVN r470829.

I think a good course of action would be to take care of the dependencies first:
updated devel/glib20, graphics/gegl and x11-fonts/fontconfig, graphics/libmypaint and graphics/mypaint-brushes (updates are all included in patch).

Then, either update graphics/gimp to 2.10.2 release (or alternatively, import graphics/gimp-devel and give users more time to test before committing to the update).
Comment 3 lumiwa 2018-05-28 10:09:54 UTC
(In reply to goffredo from comment #1)
Now is 10.0.2 which I like to test it if is possible.
Thank you.
Comment 4 lumiwa 2018-05-28 10:14:12 UTC
(In reply to Julien Nadeau from comment #0)
Dow we have /usr/ports/graphics/gimp-devel??, please?
I don't.
Comment 5 Julien Nadeau 2018-05-29 03:27:09 UTC
(In reply to lumiwa from comment #4)
A graphics/gimp-devel port is included in the attached diff. It includes the other required dependencies. You can apply this patch against the current (SVN) ports tree and give it a try.
Comment 6 lumiwa 2018-09-22 22:37:02 UTC
(In reply to Julien Nadeau from comment #5)
I didn't try because version 10.6 works on OS X and looks FreeBSD waiting for GNOME 3 2.28 update and outside is 2.30...
Comment 7 Koop Mast freebsd_committer 2018-09-30 12:20:24 UTC
Hello, GNOME 3.28 was just committed to the ports tree. Gimp 2.10 is on my short list of updates to tackle now. But it needs some shuffling of ports to make that work. So a gimp-devel port is not needed anymore.